Package: org.codehaus.groovy.grails.commons.metaclass

## [Groovy] Class PropertyExpression

- org.codehaus.groovy.grails.commons.metaclass.PropertyExpression

- All Implemented Interfaces and Traits:
    java.lang.Cloneable

      class PropertyExpression
      extends java.lang.Object

  Designed for use with Groovy property access expressions like foo.bar.stuff. It takes the expression and produces a String equivalent like "foo.bar.stuff" which can then later be used to evaluate the value within a different context.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyExpression (java.lang.String initialName)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `java.lang.Object` | `getValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### PropertyExpression(java.lang.String initialName)

  - ### Method Detail

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### java.lang.Object getValue()